package com.zzsn.generation.autotype;

import java.io.Serializable;


/**
 * 对应一个分类节点,这些分类节点都是stree中某个一级节点的子孙元素，但是这些节点之间没有父子关系
 * 创建人：李东亮   
 * 创建时间：2015-8-20 下午2:35:22   
 * 公司 ：郑州数能软件科技有限公司
 * @version  1.0  
 *
 */
public class TypeResult   implements Serializable{

	private Long tid;
	private Long orgId;
	private String matchKeywords;
	//重复标识
	private Integer repeat=0;
	public Long getTid() {
		return tid;
	}
	public void setTid(Long tid) {
		this.tid = tid;
	}
	public Long getOrgId() {
		return orgId;
	}
	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}
	public String getMatchKeywords() {
		return matchKeywords;
	}
	public void setMatchKeywords(String matchKeywords) {
		this.matchKeywords = matchKeywords;
	}
	public Integer getRepeat() {
		return repeat;
	}
	public void setRepeat(Integer repeat) {
		this.repeat = repeat;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((orgId == null) ? 0 : orgId.hashCode());
		result = prime * result + ((tid == null) ? 0 : tid.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		TypeResult other = (TypeResult) obj;
		if (orgId == null) {
			if (other.orgId != null)
				return false;
		} else if (!orgId.equals(other.orgId))
			return false;
		if (tid == null) {
			if (other.tid != null)
				return false;
		} else if (!tid.equals(other.tid))
			return false;
		return true;
	}
	
	
	
}
